Is there a Camtasia mac version that is compatible with older Macs (like 10.5)?

  • 2
  • Question
  • Updated 1 year ago
  • Answered
I am having trouble downloading camtasia mac to my mac because I have an older mac. I am looking for a free trial download version of camtasia that is compatible with my mac version 10.5.8

Also, does camtasia allow for .avi or .mov file types?

Any help would be greatly appreciated.
Thanks!
Photo of ryanb17

ryanb17

  • 8 Posts
  • 0 Reply Likes

Posted 4 years ago

  • 2
Photo of Glenn Hoeppner

Glenn Hoeppner, Employee

  • 1394 Posts
  • 113 Reply Likes
Official Response
Hi Ryan,

You could potentially use Camtasia for Mac 1.x. I say potentially because it requires an Intel-based Mac. Here is a link to our old versions page where you can download the older files (you'll have to scroll down the page a bit to find it).
http://www.techsmith.com/download/old...

Here are the system requirements for 1.2.2:

  • Mac computer with an Intel processor
    ~ Recommended: dual core 2.0GHz or faster
  • Mac OS X v10.5.6 or later
  • Quartz Extreme support
  • 1GB of RAM
    ~ Recommended: 2.0 GB of RAM or greater
  • 4GB of available disk (minimum)
  • QuickTime 7.5.5 or later


I believe it will support .mov depending on the codec used for the .mov. Files that are .avi are not supported.

Hope this helps,
-Glenn